Bug 13509 - .tcshrc error
Summary: .tcshrc error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rootfiles (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-05 19:42 UTC by Pekka Savola
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-19 15:39:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2000-07-05 19:42:40 UTC
tcsh says at root login (rootfiles-7.0-2):

Bad : modifier in $ ($).

trivial fix:
-----
--- .tcshrc     Wed Jul  5 11:03:00 2000
+++ .tcshrc~    Wed Jul  5 11:02:44 2000
@@ -6,6 +6,6 @@
 alias cp 'cp -i'
 alias mv 'mv -i'
 
-setenv PATH "/usr/local/sbin:/usr/sbin:/sbin:$PATH:$HOME/bin"
+setenv PATH "/usr/local/sbin:/usr/sbin:/sbin:${PATH}:${HOME}/bin"
 
 set prompt='[%n@%m %c]# ' 
-----

Comment 1 Bill Nottingham 2000-07-19 15:39:29 UTC
Fixed in rootfiles-7.0-4 or so.

Comment 2 Pekka Savola 2000-07-27 12:10:08 UTC
Fixed in beta5 (at least).



Note You need to log in before you can comment on or make changes to this bug.